
Katello - Refactor #6185

Dynflowize product delete

06/12/2014 12:52 PM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Partha Aji   

Category: Orchestration   

Target version: Katello 2.0   

Branch:  Pull request:  

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Related issues:

Related to Katello - Bug #5081: Product deletion does not handle repositories... Closed 04/04/2014

Blocks Katello - Feature #6180: Implement org destroy Closed 06/12/2014

Associated revisions

Revision 184ff842 - 06/20/2014 12:14 AM - Partha Aji

Fixes #5081, #6185 - Dynflowing product delete

Deleting product was previously doing a repository.destroy_all . This

commit aims to address that and other product deletion issues by

dynflowing the entire product delete orchestration.

Also includes changes by ivan for

Fixes #5081 - use Dynflow polling feature for candlepin async actions

Revision 71f4a53d - 06/20/2014 04:14 AM - Partha Aji

Fixes #5081, #6185 - Dynflowing product delete

Deleting product was previously doing a repository.destroy_all . This

commit aims to address that and other product deletion issues by

dynflowing the entire product delete orchestration.

Also includes changes by ivan for

Fixes #5081 - use Dynflow polling feature for candlepin async actions

History

#1 - 06/12/2014 12:53 PM - Ivan Necas

- Related to Bug #5081: Product deletion does not handle repositories correctly added

#2 - 06/12/2014 12:57 PM - Ivan Necas

- Blocks Feature #6180: Implement org destroy added

#3 - 06/18/2014 02:26 PM - David Davis

- Assignee set to Partha Aji

#4 - 06/20/2014 01:53 PM - Partha Aji

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:71f4a53db0243404d7df8563315686e5716a79ef.
#5 - 08/22/2014 08:34 AM - Eric Helms

- translation missing: en.field_release set to 13
